List File Members

View as MarkdownOpen in Claude
Use to obtain the members who have been invited to a file, both inherited and uninherited members. **Required scope:** `sharing.read` **Endpoint format:** [RPC](https://docs.dropboxapi.com/dropbox-api/docs/technical-reference/request-response-formats#rpc-endpoints) **Authentication:** [User](https://docs.dropboxapi.com/dropbox-api/docs/auth-types#user-authentication), [Dropbox-API-Select-Admin (Whole Team)](https://docs.dropboxapi.com/dropbox-api/docs/auth-types#admin-authentication-via-dropbox-api-select-admin) This endpoint does not support apps with the app folder permission.

Authentication

AuthorizationBearer
OAuth 2.0 token issued to a specific user. Use `Authorization: Bearer <token>`. Public clients should use the authorization code flow with PKCE (S256). For background or offline access, send `token_access_type=offline` during authorization and use the returned refresh token to obtain new access tokens. You can generate a short-lived access token from the App Console; see [Testing with a generated token](https://docs.dropboxapi.com/dropbox-api/docs/oauth#testing-with-a-generated-token).

Headers

Dropbox-API-Select-UserstringOptional

Acts on behalf of a team member for supported user-auth operations. Pass a team member ID such as dbmid:.... When used with a team token, that token must also include the team_data.member scope.

Dropbox-API-Select-AdminstringOptional

Acts as the specified team admin for supported user-auth operations. Pass a team member ID for an admin account. When used with a team token, that token must also include the team_data.member scope.

Dropbox-API-Path-RootstringOptional
Scopes path-based operations to a namespace (root). The value is a JSON serialization of the `common.PathRoot` union: `{".tag": "home"}`, `{".tag": "root", "root": "<namespace_id>"}`, or `{".tag": "namespace_id", "namespace_id": "<namespace_id>"}`. On failure the request returns 422 with a `common.PathRootError`.

Request

This endpoint expects an object.
filestringRequiredformat: "((\/|id:).*|nspath:[0-9]+:.*)|ns:[0-9]+(/.*)?">=1 character
The file for which you want to see members.
actionslist of objects or nullOptional
The actions for which to return permissions on a member.
include_inheritedbooleanOptionalDefaults to true
Whether to include members who only have access from a parent shared folder.
limituintOptional1-300Defaults to 100
Number of members to return max per query. Defaults to 100 if no limit is specified.

Response headers

X-Dropbox-Request-IdstringOptional
A unique identifier for the request, useful for debugging and support.

Response

Successful response
groupslist of objects
The list of group members of the shared file.
inviteeslist of objects
The list of invited members of a file, but have not logged in and claimed this.
userslist of objects
The list of user members of the shared file.
cursorstring or nullOptional

Present if there are additional shared file members that have not been returned yet. Pass the cursor into list_file_members/continue to list additional members.

Errors

401
Unauthorized Error
403
Forbidden Error
409
Conflict Error
429
Too Many Requests Error
500
Internal Server Error